Package com.independentsoft.office.charts

# Class ErrorBars

java.lang.Object
com.independentsoft.office.charts.ErrorBars

public class ErrorBars extends Object
The Class ErrorBars.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ErrorBars()`
  Instantiates a new error bars.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ErrorBars`
  `clone()`
  `ChartShapeProperties`
  `getChartShapeProperties()`
  Gets the chart shape properties.
  `ErrorBarDirection`
  `getDirection()`
  Gets the direction.
  `ExtensionList`
  `getExtensionList()`
  Gets the extension list (`c:extLst`).
  `Minus`
  `getMinus()`
  Gets the minus.
  `Plus`
  `getPlus()`
  Gets the plus.
  `ErrorBarType`
  `getType()`
  Gets the type.
  `double`
  `getValue()`
  Gets the value.
  `ErrorValueType`
  `getValueType()`
  Gets the value type.
  `boolean`
  `isNoEndCap()`
  Checks if is no end cap.
  `void`
  `setDirection​(ErrorBarDirection direction)`
  Sets the direction.
  `void`
  `setExtensionList​(ExtensionList extensionList)`
  Sets the extension list (`c:extLst`).
  `void`
  `setMinus​(Minus minus)`
  Sets the minus.
  `void`
  `setNoEndCap​(boolean noEndCap)`
  Sets the no end cap.
  `void`
  `setPlus​(Plus plus)`
  Sets the plus.
  `void`
  `setType​(ErrorBarType type)`
  Sets the type.
  `void`
  `setValue​(double value)`
  Sets the value.
  `void`
  `setValueType​(ErrorValueType valueType)`
  Sets the value type.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ErrorBars

    public ErrorBars()
    Instantiates a new error bars.

- ## Method Details

  - ### clone

    public ErrorBars clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getExtensionList

    public ExtensionList getExtensionList()
    Gets the extension list (`c:extLst`).
    Returns:
      the extension list

  - ### setExtensionList

    public void setExtensionList​(ExtensionList extensionList)
    Sets the extension list (`c:extLst`).
    Parameters:
      `extensionList` - the new extension list

  - ### getType

    public ErrorBarType getType()
    Gets the type.
    Returns:
      the type

  - ### setType

    public void setType​(ErrorBarType type)
    Sets the type.
    Parameters:
      `type` - the new type

  - ### getDirection

    public ErrorBarDirection getDirection()
    Gets the direction.
    Returns:
      the direction

  - ### setDirection

    public void setDirection​(ErrorBarDirection direction)
    Sets the direction.
    Parameters:
      `direction` - the new direction

  - ### getValueType

    public ErrorValueType getValueType()
    Gets the value type.
    Returns:
      the value type

  - ### setValueType

    public void setValueType​(ErrorValueType valueType)
    Sets the value type.
    Parameters:
      `valueType` - the new value type

  - ### getMinus

    public Minus getMinus()
    Gets the minus.
    Returns:
      the minus

  - ### setMinus

    public void setMinus​(Minus minus)
    Sets the minus.
    Parameters:
      `minus` - the new minus

  - ### isNoEndCap

    public boolean isNoEndCap()
    Checks if is no end cap.
    Returns:
      true, if is no end cap

  - ### setNoEndCap

    public void setNoEndCap​(boolean noEndCap)
    Sets the no end cap.
    Parameters:
      `noEndCap` - the new no end cap

  - ### getPlus

    public Plus getPlus()
    Gets the plus.
    Returns:
      the plus

  - ### setPlus

    public void setPlus​(Plus plus)
    Sets the plus.
    Parameters:
      `plus` - the new plus

  - ### getChartShapeProperties

    public ChartShapeProperties getChartShapeProperties()
    Gets the chart shape properties.
    Returns:
      the chart shape properties

  - ### getValue

    public double getValue()
    Gets the value.
    Returns:
      the value

  - ### setValue

    public void setValue​(double value)
    Sets the value.
    Parameters:
      `value` - the new value